#!/bin/sh
# dump an entire issu profile to cbz files, usage ./issuu-profile-dumper.sh username

profile_name=$1
api_url="https://issuu.com/call/profile/v1/documents/$profile_name?limit="
total_docs=$(curl $api_url"1" | jq -c ".total")
base_dir="./$profile_name/"

mkdir -p "$base_dir"

# make image lists

curl "$api_url$total_docs" | jq -c ".items[]" |
    while read r
    do
	title=$(echo $r | jq -c -r ".title")
	uri=$(echo $r | jq -c -r ".uri")
	doc_dir="$base_dir/$title"
	mkdir -p "$doc_dir"
	./issuu.sh "https://issuu.com/$profile_name/docs/$uri" > "$doc_dir/index"
    done

# download all the things


find "$base_dir" -mindepth 1 -type d |
    while read dir
    do
	wget --quiet -P "$dir" -i "$dir/index"
	rm "$dir/index"
	zip -q -j -r "$dir.cbz" "$dir"
	rm -rf "$dir"
    done
